
void ad_init(void){		    // initialize ad-wandler 
  ADMUX = 0x00;             // Kanal0
  //ADMUX |= (1<<REFS1) | (0<<REFS0); //nicht fr 4433: interne Referenzspannung 2,5V nutzen 
  ADCSR=(1<<ADEN)|(1<<ADSC)|(0<<ADFR)|(0<<ADIF)|(0<<ADIE)|(1<<ADPS2)|(1<<ADPS1)|(1<<ADPS0);// enable ADC
}

//lese ad0 (Tastatur)
int leseAD(void)
{ 
  uint16_t wert;
  uint8_t  highwert;
  ADCSR |= (1<<ADSC);              // eine Wandlung starten
  while ( ADCSR & (1<<ADSC) ) {;}  // auf Abschluss der Konvertierung warten
  wert     = ADCL;                 //Low  auslesen	
  highwert = ADCH;                 //High auslesen
  wert = wert + highwert*256;//	
  return wert;
}

char wandle_ad_in_Taste(uint16_t wert)
{   char taste;
    if (wert<101) taste=(char)('#');
    if (wert>101) taste=(char)('*');
    if (wert>120) taste=(char)('0');
    if (wert>143) taste=(char)('9');
    if (wert>166) taste=(char)('8');
    if (wert>187) taste=(char)('7');
    if (wert>218) taste=(char)('6');
    if (wert>258) taste=(char)('5');
    if (wert>291) taste=(char)('4');
    if (wert>335) taste=(char)('3');
    if (wert>386) taste=(char)('2');
    if (wert>434) taste=(char)('1');
	return(taste);
}
